Subject: Re: bug#62194: 30.0.50; Two Eglot-over-Tramp tests are failing on master, passing on emacs-29

From: Michael Albinus <[email-masked]>
Date: Thu, 16 Mar 2023 16:02:36 +0100

João Távora <[email-masked]> writes:

Hi João,

>> Well, if I call it w/o a SELECTOR, I get 14 failing tests. clangd is
>> installed:
>>
>> # which clangd
>> /var/lib/snapd/snap/bin/clangd
>>
>> This might not be the canonical path, but at least the local tests shall
>> find it. I'm running Fedora 37. Could you, pls, check? The log file is appended.
>
> I cant' reproduce, but I haven't got Fedora.  The logs only tell that
> -- apparently -- the LSP server never replied to Eglot.

Yes. I don't remember when and from where I installed the snap
package. But this clangd looks strange; it even doesn't respond to
"clangd --version".

Further search has told me, that Fedora keeps clangd in the package
clang-tools-extra. After installing this package, all Eglot tests pass
as expected.

> João

Best regards, Michael.